oracle.pgx.api.filter

## Enum FilterType

- java.lang.Object
- - java.lang.Enum<FilterType>
  - - oracle.pgx.api.filter.FilterType

- All Implemented Interfaces:
    Serializable, Comparable<FilterType>

      public enum FilterType
      extends Enum<FilterType>

  An enum to distinguish between different types of graph-filters

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EDGE` an edge-filter
    `INTERSECTION` a filter intersection
    `NONE` No filter type associated
    `UNION` a filter union
    `VERTEX` a node-filter

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EntityType` | `getEntityType()`
    `static FilterType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FilterType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EDGE

          public static final FilterType EDGE

      an edge-filter

    - #### INTERSECTION

          public static final FilterType INTERSECTION

      a filter intersection

    - #### NONE

          public static final FilterType NONE

      No filter type associated

    - #### UNION

          public static final FilterType UNION

      a filter union

    - #### VERTEX

          public static final FilterType VERTEX

      a node-filter

  - ### Method Detail

    - #### getEntityType

          public final EntityType getEntityType()

    - #### valueOf

          public static FilterType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static FilterType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FilterType c : FilterType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

Copyright © 2015. All rights reserved.